{% extends "teams/base.html" %}

{% block content %}

{% if form.errors %}
<p>Your username and password didn't match. Please try again.</p>
{% endif %}

{% if next %}
{% if user.is_authenticated %}
<p>Your account doesn't have access to this page. To proceed,
    please login with an account that has access.</p>
{% else %}
<p>Please login to see this page.</p>
{% endif %}
{% endif %}

<!--<form method="post" class="form-view">-->
<!--  {% csrf_token %}-->
<!--  {{ form.as_p }}-->
<!--  <input type="submit" value="login" />-->
<!--  <input type="hidden" name="next" value="{{ next }}" />-->
<!--</form>-->

<form method="post" class="register-form">
    {% csrf_token %}
    <div class="container">
        <div class="mb-3">
            <label for="id_username" class="form-label">Username</label>
            <input type="text" name="username" autocapitalize="none" autofocus required id="id_username"
                   class="form-control">
        </div>
        <div class="mb-3">
            <label for="id_password1" class="form-label">Password</label>
            <input type="password" name="password1" autocomplete="new-password" required id="id_password1"
                   class="form-control">
        </div>
        <ul class="errorlist"></ul>
        <div class="mb-3">
            <label for="id_password2" class="form-label">Password confirmation</label>
            <input type="password" name="password2" autocomplete="new-password" required id="id_password2"
                   class="form-control">
        </div>
        <input type="submit" class="btn btn-primary" value="Register"/>
        <input type="hidden" name="next" value="{{ next }}"/>
    </div>
</form>
{% endblock %}

{% block styles %}
<style>
 .register-form{
    display: flex;
 }
 .container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    min-height: 10vh;
        }




</style>
{% endblock styles %}